GET
/v1/organizations/:organizationId/apps/:applicationId/builds/edge/prepare
Copy to clipboard
Prepare new build (for edge runners)
Required Permission: mad.build.management.create
Prepare new build (for edge runners)
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
applicationId
string
required
Responses
200 Response
application/json
status
boolean
required
data
object
required
storageProvider
object
required
id
string
required
provider
string
required
name
string
required
configuration
object
required
security
object
required
accessKey
string
required
secret
string
required
region
string
required
bucket
string
optional
buildTempFolder
string
optional
supportedExtensions
array
required
{
"status": true,
"data": {
"storageProvider": {
"id": "string",
"provider": "s3",
"name": "string",
"configuration": {
"security": {
"accessKey": "string",
"secret": "string",
"region": "string"
},
"bucket": "string",
"buildTempFolder": "string"
}
},
"supportedExtensions": [
"string"
]
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}